Page 1 of 2 12 LastLast
Results 1 to 10 of 11

Thread: Proper Way To Upgrade openSUSE 12.1 from KDE 4.7 to KDE 4.8 Release

Hybrid View

  1. #1
    Join Date
    Jan 2009
    Location
    Orlando, FL
    Posts
    172

    Default Proper Way To Upgrade openSUSE 12.1 from KDE 4.7 to KDE 4.8 Release

    I need some advice on the correct way to upgrade from the KDE 4.7 Upstream Release to the newly released KDE 4.8 Upstream.

    In my repositories I had KDE 4.7 Upstream for Core, Extra and Playground. I disabled those and added the KDE 4.8 Upstream Release Repositories for Core, Extra and Playground.

    When I go to do a software update I get a very large number of Dependency Errors. So, rather than take a chance and break my system by selecting the wrong option somewhere to resolve, I aborted the update.

    Any advice on how to proceed and not end up with a broken system would be appreciated.

    Thanks in advance.

    Running X86_64 if that makes any difference.
    Desktop - Custom Build | Intel i7-950 | Asus P6X58D Premium MB | openSUSE 13.2 X86_64 | 12GB Ram | NVidia GTX580 | KDE 4.14.8

  2. #2
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,733
    Blog Entries
    20

    Default Re: Proper Way To Upgrade openSUSE 12.1 from KDE 4.7 to KDE 4.8 Release

    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  3. #3
    Join Date
    Mar 2009
    Location
    sri mayapur, west bengal, india
    Posts
    958

    Default Re: Proper Way To Upgrade openSUSE 12.1 from KDE 4.7 to KDE 4.8Release

    On Tue, 31 Jan 2012 20:16:05 +0530, caf4926
    <caf4926@no-mx.forums.opensuse.org> wrote:

    >
    > Remove any 4.7 repos if you have them!
    >
    > Add the Repo/s for 4.8
    >
    > 'Index of /repositories/KDE:/Release:/48/openSUSE_12.1'
    > (http://tinyurl.com/6mcqa75)
    >
    > 'Index of /repositories/KDE:/Extra/KDE_Release_48_openSUSE_12.1'
    > (http://tinyurl.com/7khg8b5)
    >
    > Use the switcher
    > http://dl.dropbox.com/u/10573557/Swi...48_switch.jpeg
    >
    >


    and since you are using applications / packages from KDE/Extra and
    KDE/Unstable:/Playground, you'll have to permit the package switcher to
    use packages from "excluded repositories," which refers to extra &
    playground. (since you're asking to "switch to packages from this repo,"
    yast considers the other repo.s as "excluded," and asks you for permission
    to use them in every case.

    --
    phani.

  4. #4
    Join Date
    Jan 2009
    Location
    Orlando, FL
    Posts
    172

    Default Re: Proper Way To Upgrade openSUSE 12.1 from KDE 4.7 to KDE 4.8 Release

    Quote Originally Posted by caf4926 View Post
    Thanks for the response. This is what I had tried. As soon as I hit to Switch Packages, I get all the dependecy errors. I have removed all the 4.7 repositories and get the same result.

    Here is my current repository setup if it helps.

    Code:
    #  | Alias                                        | Name                                         | Enabled | Refresh
    ---+----------------------------------------------+----------------------------------------------+---------+--------
     1 | GNOME_3.2_Stable                             | GNOME 3.2 Stable                             | Yes     | Yes    
     2 | GNOME_Apps_Factory                           | GNOME Apps Factory                           | Yes     | Yes                                                                                                                                         
     3 | KDE_4.8_Core_Packages                        | KDE 4.8 Core Packages                        | Yes     | Yes                                                                                                                                         
     4 | KDE_4.8_Extra_Gear_Packages                  | KDE 4.8 Extra Gear Packages                  | Yes     | Yes    
     5 | KDE_4.8_Playground_(Unstable)_Packages       | KDE 4.8 Playground (Unstable) Packages       | Yes     | Yes                                                                                                                                         
     6 | LibreOffice_Stable_for_openSUSE_12.1         | LibreOffice Stable for openSUSE 12.1         | Yes     | Yes    
     7 | Local_Repository_Directory                   | Local Repository Directory                   | Yes     | Yes    
     8 | NVIDIA_Proprietary_Drivers_for_openSUSE_12.1 | NVIDIA Proprietary Drivers for openSUSE 12.1 | Yes     | Yes                                                                                                                                         
     9 | Packman_-_Complete_for_openSUSE_12.1         | Packman - Complete for openSUSE 12.1         | Yes     | Yes                                                                                                                                         
    10 | Updates-for-openSUSE-12.1-12.1-1.4           | Updates for openSUSE 12.1 12.1-1.4           | Yes     | Yes                                                                                                                                         
    11 | VLC_VideoLan_for_openSUSE_12.1               | VLC VideoLan for openSUSE 12.1               | Yes     | Yes                                                                                                                                         
    12 | google-chrome                                | google-chrome                                | Yes     | Yes    
    13 | openSUSE-12.1-12.1-1.4                       | openSUSE-12.1-12.1-1.4                       | Yes     | No                                                                                                                                          
    14 | openSUSE_12.1_OSS_Repository                 | openSUSE 12.1 OSS Repository                 | Yes     | Yes                                                                                                                                         
    15 | openSUSE_12.1_Updates                        | openSUSE 12.1 Updates                        | Yes     | Yes                                                                                                                                         
    16 | openSUSE_non-OSS_Repository                  | openSUSE non-OSS Repository                  | Yes     | Yes    
    17 | repo-debug                                   | openSUSE-12.1-Debug                          | No      | Yes                                                                                                                                         
    18 | repo-debug-update                            | openSUSE-12.1-Update-Debug                   | No      | Yes                                                                                                                                         
    19 | repo-non-oss                                 | openSUSE-12.1-Non-Oss                        | Yes     | Yes    
    20 | repo-oss                                     | openSUSE-12.1-Oss                            | Yes     | Yes                                                                                                                                         
    21 | repo-source                                  | openSUSE-12.1-Source                         | No      | Yes                                                                                                                                         
    22 | spideroak-stable                             | SpiderOak Stable Distribution                | Yes     | No
    Desktop - Custom Build | Intel i7-950 | Asus P6X58D Premium MB | openSUSE 13.2 X86_64 | 12GB Ram | NVidia GTX580 | KDE 4.14.8

  5. #5
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,733
    Blog Entries
    20

    Default Re: Proper Way To Upgrade openSUSE 12.1 from KDE 4.7 to KDE 4.8 Release

    You shouldn't really use Playground IMO, not with the Release 48 repo
    And the VLC repo is enough to bugge r up your system for good

    Save the error to file with the expert option on the box and link us to it
    You can paste it here
    SUSE Paste
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  6. #6
    Join Date
    Jan 2009
    Location
    Orlando, FL
    Posts
    172

    Default Re: Proper Way To Upgrade openSUSE 12.1 from KDE 4.7 to KDE 4.8 Release

    Quote Originally Posted by caf4926 View Post
    You shouldn't really use Playground IMO, not with the Release 48 repo
    And the VLC repo is enough to bugge r up your system for good

    Save the error to file with the expert option on the box and link us to it
    You can paste it here
    SUSE Paste
    Ok, I also removed Playground for 4.8 and the VLC Reposittory (was only using that one for the libdvdcss2 anyway).

    I pasted the text from the file here: SUSE Paste

    Thanks for your help
    Desktop - Custom Build | Intel i7-950 | Asus P6X58D Premium MB | openSUSE 13.2 X86_64 | 12GB Ram | NVidia GTX580 | KDE 4.14.8

  7. #7
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,733
    Blog Entries
    20

    Default Re: Proper Way To Upgrade openSUSE 12.1 from KDE 4.7 to KDE 4.8 Release

    The only ones I'm certain on are:



    [ ] keep obsolete k3b-2.0.2-13.8.x86_64


    [ ] deinstallation of qt4-qtscript-0.1.0-14.1.2.x86_64


    Looks like you have installed a fair amount of stuff from unstable (git)*
    I'm not prepared to guess this for you.

    libdvdcss2 should be installed by following the multimedia guide
    http://forums.opensuse.org/content/1...ion-guide.html
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  8. #8
    Join Date
    Jan 2009
    Location
    Orlando, FL
    Posts
    172

    Default Re: Proper Way To Upgrade openSUSE 12.1 from KDE 4.7 to KDE 4.8 Release

    Quote Originally Posted by caf4926 View Post
    The only ones I'm certain on are:



    [ ] keep obsolete k3b-2.0.2-13.8.x86_64


    [ ] deinstallation of qt4-qtscript-0.1.0-14.1.2.x86_64


    Looks like you have installed a fair amount of stuff from unstable (git)*
    I'm not prepared to guess this for you.

    libdvdcss2 should be installed by following the multimedia guide
    http://forums.opensuse.org/content/1...ion-guide.html
    Thank you for your help once again. I followed your advice and also carried the logic to remove the offending packages and got the system updated to KDE 4.8.0.

    Thanks again.
    Desktop - Custom Build | Intel i7-950 | Asus P6X58D Premium MB | openSUSE 13.2 X86_64 | 12GB Ram | NVidia GTX580 | KDE 4.14.8

  9. #9
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,733
    Blog Entries
    20

    Default Re: Proper Way To Upgrade openSUSE 12.1 from KDE 4.7 to KDE 4.8 Release

    Quote Originally Posted by DMCorsa View Post
    Thank you for your help once again. I followed your advice and also carried the logic to remove the offending packages and got the system updated to KDE 4.8.0.

    Thanks again.
    Hope that continues to work well for you
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  10. #10
    Join Date
    Jun 2010
    Location
    Michigan, USA
    Posts
    267

    Default Re: Proper Way To Upgrade openSUSE 12.1 from KDE 4.7 to KDE 4.8 Release

    I am very interested in upgrading from 4.7 to 4.8. My only concern is how it will affect Kontact and the whole PIM suite. That is the primary piece of software I use. I reverted to Kontact v4.4.11 because kmail2 was broken in 4.7.whatever. I want to take advantage of all the improved functionality of 4.8 (hopefully the lags have been smoothed out) but not lose the key piece of software that I require for my day to day operation.

    Will I be able to upgrade to 4.8.x without affecting the KDEPIM suite?

    Thanks!
    If I am going to be spontaneous, I have to plan for it.

    www.CubicleNate.com

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •